gov.ornl.mercury3.email_utils

## Class RateUsHandler

- java.lang.Object
- - gov.ornl.mercury3.email_utils.RateUsHandler

-     public class RateUsHandler
      extends Object

  Controller for the post session rating servlet ??.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RateUsHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getListOfRateUs()`
    `String` | `getTest()`
    `static void` | `main(String[] args)`
    `String` | `SendEmailOnly(String instance, String link, String rIPAndHost, String rBrowser, String response1, String comment1, String response2, String comment2, String comment3, String email, String name, String country, String inst, String respond)`
    `String` | `setRateUs(String instance, String link, String rIPAndHost, String rBrowser, String response1, String comment1, String response2, String comment2, String comment3, String email)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RateUsHandler

          public RateUsHandler()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Parameters:
        `args` -

    - #### getListOfRateUs

          public List getListOfRateUs()
                               throws Exception

      Throws:
        `Exception`

    - #### getTest

          public String getTest()

    - #### setRateUs

          public String setRateUs(String instance,
                         String link,
                         String rIPAndHost,
                         String rBrowser,
                         String response1,
                         String comment1,
                         String response2,
                         String comment2,
                         String comment3,
                         String email)
                           throws Exception

      Throws:
        `Exception`

    - #### SendEmailOnly

          public String SendEmailOnly(String instance,
                             String link,
                             String rIPAndHost,
                             String rBrowser,
                             String response1,
                             String comment1,
                             String response2,
                             String comment2,
                             String comment3,
                             String email,
                             String name,
                             String country,
                             String inst,
                             String respond)
                               throws Exception

      Throws:
        `Exception`

Copyright © 2016. All rights reserved.